Subject: FVWM: Undefined: XLoadQueryFont on SGI Irix 4.0.5

From: "Thomas J. Downey Jr" <[email-masked]>
Date: Wed, 31 Jan 1996 14:35:34 -0600

Now that I've got fvwm working on the Sun, I'm trying to get it to compile
on a coworker's SGI running Irix 4.0.5:

Here's the error I get:
=======================================================================
making all in ./fvwm...
        rm -f fvwm ; \
        cc -o fvwm add_window.o  bindings.o  borders.o  builtins.o  colormaps.o  colors.o  complex.o  decorations.o  events.o  focus.o  functions.o  fvwm.o  icons.o  menus.o  misc.o  module.o  move.o  placement.o  read.o  resize.o  style.o  virtual.o  windows.o -O2 -prototypes -cckr -float -lXpm   -lXext  -lX11_s ../libs/libfvwm.a  -lsun -lmalloc -lc_s 
/usr/bin/ld:
Undefined:
XLoadQueryFont
*** Error code 1

I checked in /usr/lib and got the following:
=======================================================================
aspen:lib> ls libX11_s*     
libX11_s*    libX11_s.a
 
aspen:lib> nm libX11_s.a* |grep XLoadQueryFont          
XLoadQueryFont      |213915432|Proc    |                  |      | 47|Abs     
 
aspen:lib> nm libX11_s |grep XLoadQueryFont   
XLoadQueryFont      |213915432|Proc    |end=461 btNil     |      |459|Text    
XLoadQueryFont      |00000008|End     |ref=459           |      |460|Text    
XLoadQueryFont      |213987808|Proc    |end=3 struct *    |      |1613|Text    
XLoadQueryFont      |00001136|End     |ref=1613          |      |1614|Text    
XLoadQueryFont      |213915432|Proc    |ref=459           |      |3492|Text    

Thanks again for any help,
Tom

-----------------------------------------------------------------
Tom Downey
PARTEK Inc. 5988 Mid Rivers Mall Dr.  St. Charles, MO 63304
voice: (314)926-2329,  fax: (314)441-6881,  email: [email-masked]
-----------------------------------------------------------------
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].